<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_surveys.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $dblink,$siteConfig;
	
	if ($row = $dblink->get_row("SELECT * FROM memht_survey WHERE enabled=1 ORDER BY id DESC LIMIT 1")) {
		$id = intval($row['id']);
		$question = outCode($row['question']);
		$comments = intval($row['usecomments']);
		
		echo "<form name='survey' method='post' action='index.php?page=surveys'>\n";
			echo "<div align='center'><b>$question</b></div>\n";
			$result = $dblink->get_list("SELECT * FROM memht_survey_data WHERE surveyid='$id' ORDER BY id");
			foreach ($result as $row) {
				$aid = intval($row['id']);
				$answer = outCode($row['answer']);
				echo "<div style='padding:3px 0;'><input name='vote' type='radio' value='$aid'> $answer</div>\n";
			}
			echo "<div style='padding:3px 0;' align='center'><input type='submit' name='Submit' value='"._UVOTE_."'></div>\n";
			echo "<div align='center'><a href='index.php?page=surveys&op=result&id=$id' title='"._RESULT_."'>"._RESULT_."</a></div>\n";
			if ($siteConfig['usecomments']==1 AND $comments==1) {
				echo "<div class='info' align='center'><a href='index.php?page=surveys&op=result&id=$id#comments' title='"._COMMENTS_."'>(".$dblink->get_num("SELECT id FROM memht_comments WHERE whr=6 AND wid=$id AND moderate=0")." "._COMMENTS_.")</a></div>\n";
			}
			echo "<input type='hidden' name='op' value='vote'>\n";
			echo "<input type='hidden' name='id' value='$id'>\n";
		echo "</form>\n";
	} else {
		echo "<div id='errorText' align='center'><b>"._NOACTIVESURVEY_."</b></div>\n";
	}
	
?>